clear, clc
R = 1e3;
C = 1e-6;
syms uC1 uC2 us phi uC1d uC2d a b c t
eq1= '(uC2-us)/R+(uC2-phi)/(R/10)+C*uC1d+C*uC2d=0';
eq2= 'C*uC1d-phi/(10*R)=0';
eq3= 'uC2-uC1-phi=0';
phi=sym(solve(eq3,phi));
uC1d=eval(solve(eq2,uC1d))
uC2d=eval(solve(eq1,uC2d))
A=  [-100 100; -9900 -1100];
B=  [0; 1000];
Ct= [0 1];
D=  [0];
[num, den]=ss2tf(A, B, Ct, D)
sys=tf(num, den)
figure(1)
hold on
subplot(1,2,1)
step(sys)
subplot(1,2,2)
impulse(sys)
lamb=eig(A)
L1=[(A-lamb(2)*eye(2))/(lamb(1)-lamb(2))]
L2=eye(2)-L1
eat=exp(lamb(1)*t)*L1+exp(lamb(2)*t)*L2;
h=Ct*eat*B;
h=vpa(simplify(h))
figure(1)
hold on
figure(2)
bode(num, den)
figure(3)
nyquist(num, den)
figure(4)
pzmap(num, den)
evalfr(tf(num, den), 2000*j)